#ifndef __COMPATIBILITY_HH__
#define __COMPATIBILITY_HH__


#ifdef OMNIORB //-------------------------------------------------OMNIORB

#ifndef IRMOD
#define IRMOD
#endif

// #include <iostream.h>

#define BOA_IMPL_BASE(module,intf) module::_sk_##intf
#define BOA_IMPL_BASE1(intf) _sk_##intf
#define ENV_DECL1(env)
#define ENV_DECL(env)
#define ENV_DEF1(env)
#define ENV_DEF(env)
#define ORBIX_NIL_REF_BUG(x)

#define CONNECT_IMPL( boa, obj) boa->obj_is_ready(obj)
#define IMPL_IS_READY(boa) boa->impl_is_ready()
#define DEACTIVATE_OBJ(boa,obj) boa->dispose(obj)

#define ORB_IDENTIFIER "omniORB2"
#define BOA_IDENTIFIER "omniORB2_BOA"

ostream & operator << (ostream &, CORBA::Exception &);

#elif defined(ORBIX) //---------------------------------------------ORBIX

#ifndef IRMOD
#define IRMOD
#endif

#define BOA_IMPL_BASE(module,intf) module::intf##BOAImpl
#define BOA_IMPL_BASE1(intf) intf##BOAImpl

#define ENV_DECL1(env) CORBA::Environment &env=CORBA::IT_chooseDefaultEnv ()
#define ENV_DECL(env) ,CORBA::Environment &env=CORBA::IT_chooseDefaultEnv ()
#define ENV_DEF1(env) CORBA::Environment &env
#define ENV_DEF(env) ,CORBA::Environment &env

#define ORBIX_NIL_REF_BUG(x) { if (CORBA::is_nil(x)) x= NULL; }

#define CONNECT_IMPL( boa, obj)
#define IMPL_IS_READY(boa) boa->processEvents(-1)
#define DEACTIVATE_OBJ(boa,obj) CORBA::release(obj)

#define ORB_IDENTIFIER "Orbix_ORB"
#define BOA_IDENTIFIER "Orbix_BOA"

#endif

#endif // __COMPATIBILITY_HH__

//
