// $Id: ecdata.hh,v 1.1 1999/05/21 16:39:46 mencnar Exp $
//
// $Source: /home/iris/mencnar/ec/src/hh/ecdata.hh,v $
//
// $Log: ecdata.hh,v $
// Revision 1.1  1999/05/21 16:39:46  mencnar
// *** empty log message ***
//
//

#ifndef __ECDATA_HH__
#define __ECDATA_HH__

#include <CosEventChannelAdmin.hh>
#include <CosTypedEventChannelAdmin.hh>
#include <echelp.hh>

#include "utils.hh"
#include "locks.hh"
#include "refcount.hh"
#include "timestamp.hh"

class ECData {
  TimeStamp ts;
  ECHelper::ECValue *v;
public:
  ECData( ECHelper::ECValue *_v) :
    ts( default_tsf->instantiate()),
    v( _v) {
  }
    
  ~ECData() { 
    delete v; 
  }
  ECHelper::ECValue *value() {
    return v;
  }
  const TimeStamp & time_stamp() {
    return ts;
  }

private:
  DISABLE_COPY_AND_ASSIGN(ECData)
};

typedef RefInstance<ECData> ECDHandler;


#endif // __ECDATA_HH__

//
