
//Title:        Event Channel Manager
//Version:
//Copyright:    Copyright (c) 1998
//Author:       Daniel Mencnarowski
//Company:
//Description:

package pl.edu.agh.ics.mev;

import java.awt.*;
import com.sun.java.swing.*;
import java.awt.event.*;
import java.awt.datatransfer.*;

public class ObjectRef extends JPanel {
  BorderLayout borderLayout1 = new BorderLayout();
  private String IOR = "";
  JButton BCopy = new JButton();
  JButton BPaste = new JButton();
  JLabel jLabel1 = new JLabel();
  int ortype;


  public static final int COPY= 0;
  public static final int PASTE= 1;
  public static final int COPY_AND_PASTE= 2;

  public ObjectRef( int ortype) {
    this.ortype= ortype;
    try  {
      jbInit();
    }
    catch (Exception ex) {
      ex.printStackTrace();
    }
  }

  private void jbInit() throws Exception {
    BCopy.setText("jButton1");
    BCopy.setLabel("Copy");
    BPaste.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BPaste_actionPerformed(e);
      }
    });
    BPaste.setText("jButton2");
    BPaste.setLabel("Paste");
    BCopy.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BCopy_actionPerformed(e);
      }
    });
    jLabel1.setText("CORBA Object");
    this.setLayout(borderLayout1);
    if (ortype == COPY || ortype==COPY_AND_PASTE)
      this.add(BCopy, BorderLayout.WEST);
    if (ortype == PASTE || ortype==COPY_AND_PASTE)
      this.add(BPaste, BorderLayout.EAST);
    this.add(jLabel1, BorderLayout.NORTH);
  }

  public String getIOR() {
    return IOR;
  }

  public void setIOR(String newIOR) {
    IOR = newIOR;
  }


  void BPaste_actionPerformed(ActionEvent e) {
    Transferable tsfer= Toolkit.getDefaultToolkit().getSystemClipboard().getContents(null);
    if (tsfer != null) {
       try {
	 java.lang.Object obj= tsfer.getTransferData( DataFlavor.plainTextFlavor);
	 if (obj instanceof java.io.StringReader) {
	   java.io.StringReader istr=
	     (java.io.StringReader) tsfer.getTransferData( DataFlavor.plainTextFlavor);
	   char buf[]= new char[4096];
	   int len= istr.read(buf,0,4096);
	   while (len>0 && buf[len-1]<32)
	     len--;
	   String str= new String(buf,0,len);
	   //	   System.err.println( str);
	   IOR= str;
	 }
	 else if (obj instanceof java.io.InputStream) {
	   java.io.InputStream istr=
	     (java.io.InputStream) tsfer.getTransferData( DataFlavor.plainTextFlavor);
	   byte buf[]= new byte[4096];
	   int len= istr.read(buf,0,4096);
	   while (len>0 && buf[len-1]<32)
	     len--;
	   String str= new String(buf,0,len);
	   //	   System.err.println( str);
	   IOR= str;	   
	 }
       }
       catch (Exception ex) {
         ex.printStackTrace();
       }
    }
  }

  void BCopy_actionPerformed(ActionEvent e) {
    //    System.err.println("Copy "+IOR);
    StringSelection ssel= new StringSelection(IOR);
    Toolkit.getDefaultToolkit().getSystemClipboard().setContents(ssel,ssel);
  }
}


