INTERFACES = Naming
CXXSRCS = bootstrap.cc compatibility.cc IORlib.cc trace.cc
OBJS = bootstrap.o compatibility.o IORlib.o trace.o

CXXINCLUDES = -I$(SRC_DIR)/../hh

lib = $(patsubst %,$(LibPattern),bootstrap)

all::	$(lib)

clean::
	$(RM) -rf $(lib) *.o Templates.DB 

$(lib):	$(STUB_OBJS) $(OBJS)
	@$(StaticLinkLibrary)

install:: $(lib)
	@$(InstallLibrary)

-include $(CXXSRCS:.cc=.d)
