// $Id: bootstrap.hh,v 1.3 1999/05/21 16:46:52 mencnar Exp $
//
// $Source: /home/iris/mencnar/ec/CVS/src/hh/bootstrap.hh,v $
//
// $Log: bootstrap.hh,v $
// Revision 1.3  1999/05/21 16:46:52  mencnar
// Added "incremental_bind" method
//
// Revision 1.2  1999/01/09 14:27:22  mencda
// *** empty log message ***
//
// Revision 1.1.1.1  1998/12/13 23:27:16  mencda
// Imported sources
//
//

#ifndef __BOOTSTRAP_HH__
#define __BOOTSTRAP_HH__

#include "Naming.hh"

class Bootstrap {
  static CosNaming::NamingContext_ptr root_ns;
public:
  static CORBA::ORB_ptr orb_ptr;
  static CORBA::BOA_ptr boa_ptr;

  static void init( int &argc, char ** &argv);
  static void init( CORBA::ORB_ptr _orb_ptr,
		    CORBA::BOA_ptr _boa_ptr);

  static CosNaming::NamingContext_ptr getNS( int exit_on_failure= 1);
  static CosNaming::Name create_name( const char *str);
  static CosNaming::Name SRV_IR();

  static void incremental_bind( CosNaming::NamingContext_ptr root_ns, 
				const CosNaming::Name &name,
				CORBA::Object_ptr object);
};

#endif // __BOOTSTRAP_HH__

//
