#ifndef __STREAM_TRACE_HH__
#define __STREAM_TRACE_HH__
// $Id$
//
// $Source$
//
// $Log$
//

#include <iostream.h>
#include "trace.hh"

class StreamTrace : public AbstractTrace {
  ostream &ostr;
public:
  StreamTrace( ostream &_ostr) : ostr( _ostr) {}

  virtual void out_string( const char *s) { 
    ostr << s; 
  }
  virtual void out_char( char c) {
    ostr << c;
  }
  virtual void out_int( int i) {
    ostr << i;
  }
  virtual void out_unsigned( unsigned u) {
    ostr << u;
  }
  virtual void out_short( short s) {
    ostr << s;
  }
  virtual void out_unsigned_short( unsigned short us) {
    ostr << us;
  }
  virtual void out_long( long l) {
    ostr << l;
  }
  virtual void out_unsigned_long( unsigned long ul) {
    ostr << ul;
  }
};


#endif // __STREAM_TRACE_HH__

// end of $File$
