
//Title:       Event Channel Manager
//Version:     0.1
//Copyright:   Copyright (c) 1999
//Author:      Daniel Mencnarowski

package pl.edu.agh.ics.mev;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import com.sun.java.swing.*;
import com.sun.java.swing.event.*;
import com.sun.java.swing.UIManager;

import Repository;
import InterfaceDef;
import InterfaceDefHelper;


public class ChannelManager extends JApplet {
  boolean isStandalone = false;
  JMenuBar jMenuBar1 = new JMenuBar();
  JMenu jMenu1 = new JMenu();
  JMenuItem jMenuItem2 = new JMenuItem();
  JMenuItem jMenuItem1 = new JMenuItem();

  ConfigSet configSet= null;
  Configure configDialog= null;
  JTextField TFactoryName = new JTextField();
  JLabel jLabel1 = new JLabel();
  JPanel jPanel1 = new JPanel();
  GridBagLayout gridBagLayout1 = new GridBagLayout();
  JButton BInspect = new JButton();
  JPanel jPanel2 = new JPanel();
  JSplitPane jSplitPane1 = new JSplitPane();
  GridBagLayout gridBagLayout2 = new GridBagLayout();
  JPanel typedPanel = new JPanel();
  JLabel jLabel2 = new JLabel();
  GridBagLayout gridBagLayout3 = new GridBagLayout();
  java.util.Vector typedVector= new java.util.Vector();
  JPanel untypedPanel = new JPanel();
  GridBagLayout gridBagLayout4 = new GridBagLayout();
  JLabel jLabel3 = new JLabel();
  java.util.Vector untypedVector= new java.util.Vector();
  GridBagLayout gridBagLayout5 = new GridBagLayout();
  JPanel jPanel3 = new JPanel();
  GridBagLayout gridBagLayout6 = new GridBagLayout();
  JLabel jLabel4 = new JLabel();
  JTextField TChannelName = new JTextField();
  JLabel jLabel5 = new JLabel();
  JTextField TMaxQueue = new JTextField();
  JLabel jLabel6 = new JLabel();
  JComboBox CBOVAction = new JComboBox();
  JLabel jLabel7 = new JLabel();
  JTextField TChannelType = new JTextField();
  JPanel jPanel4 = new JPanel();
  GridBagLayout gridBagLayout7 = new GridBagLayout();
  JPanel jPanel5 = new JPanel();
  JButton BNewTypedChannel = new JButton();
  JButton BNewChannel = new JButton();
  JPanel jPanel6 = new JPanel();
  JButton BDestroy = new JButton();
  JButton BCreate = new JButton();
  ObjectRef ORChannel = new ObjectRef(ObjectRef.COPY);

  static org.omg.CORBA.ORB orb= null;
  ECAdmin.Factory ecfa= null;
  boolean isDestroyEnabled= false;
  boolean createIsTyped= false;
  JButton BCancel = new JButton();
  JLabel jLabel8 = new JLabel();
  JLabel jLabel9 = new JLabel();
  JTextField TNotConnected = new JTextField();
  JTextField TKeepAlive = new JTextField();
  JScrollPane jScrollPane1 = new JScrollPane();
  JList ListUntyped = new JList();
  JScrollPane jScrollPane2 = new JScrollPane();
  JList ListTyped = new JList();

  //Construct the applet

  public ChannelManager( ConfigSet cs) {
    configSet= cs;
    orb= configSet.orb;
    configDialog= new Configure(configSet);
  }

//Initialize the applet

  public void init() {
    try {
    jbInit();
    }
    catch (Exception e) {
    e.printStackTrace();
    }
  }
  static {
    try {
      //      UIManager.setLookAndFeel(new com.sun.java.swing.plaf.metal.MetalLookAndFeel());
      //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.motif.MotifLookAndFeel());
      //UIManager.setLookAndFeel(new com.sun.java.swing.plaf.windows.WindowsLookAndFeel());
    }
    catch (Exception e) {}
  }
//Component initialization

  private void jbInit() throws Exception {
    this.setSize(400,300);
    this.setJMenuBar(jMenuBar1);
    this.getContentPane().setLayout(gridBagLayout5);
    jMenu1.setText("Options");
    jMenuItem2.setText("Configure");
    jMenuItem2.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        configureAction(e);
      }
    });
    jMenuItem1.setText("Exit");
    TFactoryName.setText("ECF");
    jLabel1.setText("Factory in Naming Service: ");
    BInspect.setText("jButton1");
    BInspect.setLabel("Inspect factory");
    BInspect.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BInspect_actionPerformed(e);
      }
    });
    jPanel2.setLayout(gridBagLayout2);
    jSplitPane1.setOrientation(0);
    typedPanel.setMinimumSize(new Dimension(0, 0));
    typedPanel.setLayout(gridBagLayout3);
    jLabel2.setText("Typed channels");
    jLabel3.setText("Untyped channels");
    jLabel4.setText("Name");
    jLabel5.setText("Maximum queue size:");
    jLabel6.setText("Overflow action");
    CBOVAction.setOpaque(false);
    CBOVAction.addItem("OFA_DisconnectConsumer");
    CBOVAction.addItem("OFA_DropOldestMessage");
    CBOVAction.addItem("OFA_DropNewMessage");
    jLabel7.setText("Type");
    BNewTypedChannel.setText("jButton2");
    BNewTypedChannel.setLabel("New typed channel");
    BNewTypedChannel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BNewTypedChannel_actionPerformed(e);
      }
    });
    BNewChannel.setText("jButton2");
    BNewChannel.setLabel("New untyped channel");
    BNewChannel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BNewChannel_actionPerformed(e);
      }
    });
    BDestroy.setEnabled(false);
    BDestroy.setText("Destroy the channel");
    BDestroy.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BDestroy_actionPerformed(e);
      }
    });
    BCreate.setEnabled(false);
    BCreate.setText("Create a new channel");
    BCreate.setActionCommand("Create a new channel");
    BCreate.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BCreate_actionPerformed(e);
      }
    });
    BCancel.setEnabled(false);
    BCancel.setText("Cancel");
    BCancel.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        BCancel_actionPerformed(e);
      }
    });
    jLabel8.setText("Not connected  timeout:");
    jLabel9.setText("Keep alive period:");
    jScrollPane1.setMinimumSize(new Dimension(0, 0));
    ListUntyped.setModel(new DefaultListModel());
    ListUntyped.addListSelectionListener(new ListSelectionListener() {
      public void valueChanged( ListSelectionEvent e) {
        untypedSelected( e);
      }
    });
    ListUntyped.setCellRenderer(new ShowList());
    ListTyped.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    ListTyped.setCellRenderer(new ShowList());
    ListTyped.addListSelectionListener(new ListSelectionListener() {
      public void valueChanged( ListSelectionEvent e) {
        typedSelected( e);
      }
    });
    ListTyped.setModel(new DefaultListModel());
    ListUntyped.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    jPanel4.setLayout(gridBagLayout7);
    jPanel3.setLayout(gridBagLayout6);
    untypedPanel.setLayout(gridBagLayout4);
    jPanel1.setLayout(gridBagLayout1);
    jMenuItem1.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        exitAction(e);
      }
    });
    jMenuBar1.add(jMenu1);
    jMenu1.add(jMenuItem2);
    jMenu1.addSeparator();
    jMenu1.add(jMenuItem1);
    this.getContentPane().add(jPanel1, new GridBagConstraints2(0, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel1.add(jLabel1, new GridBagConstraints2(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.EAST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel1.add(TFactoryName, new GridBagConstraints2(1, 0, 1, 2, 2.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel1.add(BInspect, new GridBagConstraints2(2, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    this.getContentPane().add(jPanel2, new GridBagConstraints2(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(jSplitPane1, new GridBagConstraints2(0, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel2.add(jPanel4, new GridBagConstraints2(1, 0, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel4.add(jPanel3, new GridBagConstraints2(0, 1, 2, 1, 1.0, 1.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(jLabel4, new GridBagConstraints2(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(TChannelName, new GridBagConstraints2(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(jLabel5, new GridBagConstraints2(0, 1, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(TMaxQueue, new GridBagConstraints2(1, 1, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(jLabel6, new GridBagConstraints2(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(CBOVAction, new GridBagConstraints2(1, 2, 1, 1, 1.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(jLabel7, new GridBagConstraints2(0, 5, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(TChannelType, new GridBagConstraints2(1, 5, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(jLabel8, new GridBagConstraints2(0, 3, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(jLabel9, new GridBagConstraints2(0, 4, 1, 1, 0.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(TNotConnected, new GridBagConstraints2(1, 3, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel3.add(TKeepAlive, new GridBagConstraints2(1, 4, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel4.add(jPanel6, new GridBagConstraints2(0, 2, 2, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.HORIZONTAL, new Insets(0, 0, 0, 0), 0, 0));
    jPanel6.add(BDestroy, null);
    jPanel6.add(BCreate, null);
    jPanel6.add(BCancel, null);
    jPanel4.add(jPanel5, new GridBagConstraints2(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    jPanel5.add(BNewChannel, null);
    jPanel5.add(BNewTypedChannel, null);
    jPanel5.add(ORChannel, null);
    typedPanel.add(jLabel2, new GridBagConstraints2(0, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    typedPanel.add(jScrollPane2, new GridBagConstraints2(0, 1, 1, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jScrollPane2.getViewport().add(ListTyped, null);
    untypedPanel.add(jLabel3, new GridBagConstraints2(0, 0, 1, 1, 1.0, 0.0
            ,GridBagConstraints.WEST, GridBagConstraints.NONE, new Insets(0, 0, 0, 0), 0, 0));
    untypedPanel.add(jScrollPane1, new GridBagConstraints2(0, 1, 3, 1, 1.0, 1.0
            ,GridBagConstraints.WEST, GridBagConstraints.BOTH, new Insets(0, 0, 0, 0), 0, 0));
    jScrollPane1.getViewport().add(ListUntyped, null);
    jSplitPane1.setTopComponent( untypedPanel);
    jSplitPane1.setBottomComponent( typedPanel);
  }
//Start the applet

  public void start() {
  }
//Stop the applet

  public void stop() {
  }
//Destroy the applet

  public void destroy() {
  }
//Get Applet information

  public String getAppletInfo() {
    return "Applet Information";
  }
//Get parameter info

  public String[][] getParameterInfo() {
    return null;
  }
//Main method

  public static void main(String[] args) {
    ChannelManager applet = new ChannelManager( new ConfigSet(args,null));
    applet.isStandalone = true;
    JFrame frame = new JFrame();
    frame.setTitle("Event Channel Manager");
    frame.getContentPane().add(applet, BorderLayout.CENTER);
    applet.init();
    applet.start();
    frame.setSize(600,320);
    Dimension d = Toolkit.getDefaultToolkit().getScreenSize();
    frame.setLocation((d.width - frame.getSize().width) / 2, (d.height - frame.getSize().height) / 2);
    frame.setVisible(true);
  }

  public void untypedSelected( ListSelectionEvent e) {
    java.lang.Object sel= ListUntyped.getSelectedValue();
    if (sel != null) {
      ECAdmin.ChannelDescription cdesc= (ECAdmin.ChannelDescription) sel;
      TChannelName.setText( cdesc.name);
      TMaxQueue.setText( ""+cdesc.max_queue_size);
      CBOVAction.setSelectedIndex( cdesc.overflow_action.value());
      TNotConnected.setText( ""+cdesc.not_connected_timeout);
      TKeepAlive.setText( ""+cdesc.keep_alive_time);
      TChannelType.setText("");
      BDestroy.setEnabled(true);
      ListTyped.setSelectedIndex(-1);
      ORChannel.setIOR( orb.object_to_string( cdesc.channel));
    }
    else if (ListTyped.getSelectedValue()==null) {
      TChannelName.setText( "");
      TMaxQueue.setText( "");
      CBOVAction.setSelectedIndex( 0);
      TNotConnected.setText("");
      TKeepAlive.setText("");
      TChannelType.setText("");
      BDestroy.setEnabled(false);
    }
  }

  public void typedSelected( ListSelectionEvent e) {
    java.lang.Object sel= ListTyped.getSelectedValue();
    if (sel != null) {
      ECAdmin.TypedChannelDescription cdesc= (ECAdmin.TypedChannelDescription) sel;
      TChannelName.setText( cdesc.name);
      TMaxQueue.setText( ""+cdesc.max_queue_size);
      CBOVAction.setSelectedIndex( cdesc.overflow_action.value());
      TNotConnected.setText( ""+cdesc.not_connected_timeout);
      TKeepAlive.setText( ""+cdesc.keep_alive_time);
      TChannelType.setText( cdesc.idef.absolute_name());
      BDestroy.setEnabled(true);
      ListUntyped.setSelectedIndex(-1);
      ORChannel.setIOR( orb.object_to_string( cdesc.channel));
    }
    else if (ListUntyped.getSelectedValue()==null) {
      TChannelName.setText( "");
      TMaxQueue.setText( "");
      CBOVAction.setSelectedIndex( 0);
      TNotConnected.setText("");
      TKeepAlive.setText("");
      TChannelType.setText("");
      BDestroy.setEnabled(false);
    }
  }

  void configureAction(ActionEvent e) {
    configDialog.show();
  }

  void exitAction(ActionEvent e) {
    if (isStandalone) System.exit(0);
    else destroy();
  }

  void BInspect_actionPerformed(ActionEvent e) {
    org.omg.CORBA.Object obj= null;
    try {
      obj= configSet.getNS().resolve( ConfigSet.getNSName( TFactoryName.getText()));
    }
    catch (org.omg.CosNaming.NamingContextPackage.NotFound ex) {
      JOptionPane.showMessageDialog( this, "Factory not found", "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog( this, ex, "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }

    ECAdmin.Factory ecfa= null;
    try {
      ecfa= ECAdmin.FactoryHelper.narrow( obj);
      if (ecfa==null) throw new Exception("");
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog( this, "Denoted object is not a factory", "Error", JOptionPane.ERROR_MESSAGE);
      return;
    }

    try {
      if (ecfa._non_existent()) throw new Exception("Object does not exist");
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog( this, "Denoted object does not exist\n"+ex, "Error" ,JOptionPane.ERROR_MESSAGE);
      return;
    }
    DefaultListModel dlm= (DefaultListModel) ListTyped.getModel();
    dlm.removeAllElements();
    ECAdmin.TypedChannelDescription [] tcdescs= ecfa.typed_channels();
    for (int i=0; i<tcdescs.length; i++)
      dlm.addElement( tcdescs[i]);
    dlm= (DefaultListModel) ListUntyped.getModel();
    dlm.removeAllElements();
    ECAdmin.ChannelDescription [] cdescs= ecfa.channels();
    for (int i=0; i<cdescs.length; i++)
      dlm.addElement( cdescs[i]);
    this.ecfa= ecfa;
  }

  void enterCreateMode( boolean isTyped) {
    createIsTyped= isTyped;
    isDestroyEnabled= BDestroy.isEnabled();
    BInspect.setEnabled(false);
    BNewChannel.setEnabled(false);
    BNewTypedChannel.setEnabled(false);
    BDestroy.setEnabled(false);
    ListTyped.setEnabled(false);
    ListUntyped.setEnabled(false);
    BCreate.setEnabled(true);
    BCancel.setEnabled(true);
  }

  void BNewChannel_actionPerformed(ActionEvent e) {
    enterCreateMode( false);
  }

  void BNewTypedChannel_actionPerformed(ActionEvent e) {
    enterCreateMode( true);
  }

  void BCancel_actionPerformed(ActionEvent e) {
    BInspect.setEnabled(true);
    BNewChannel.setEnabled(true);
    BNewTypedChannel.setEnabled(true);
    BDestroy.setEnabled(isDestroyEnabled);
    BCreate.setEnabled(false);
    BCancel.setEnabled(false);
  }

  void BCreate_actionPerformed(ActionEvent e) {
    try {
      if (createIsTyped) {
        Repository rep= null;
        try {
          rep= configSet.getIR();
        }
        catch (Exception ex) {
          JOptionPane.showMessageDialog(this,"Error getting Interface Repository service "+ex,
                                        "Error", JOptionPane.ERROR_MESSAGE);
          return;
        }
        InterfaceDef idef= null;
        try {
          idef= InterfaceDefHelper.narrow( rep.lookup( TChannelType.getText()));
          if (idef ==null) throw new Exception("Not found");
        }
        catch (Exception ex) {
          JOptionPane.showMessageDialog(this,"Error looking up for "+TChannelType.getText()+" "+ex,
                                        "Error", JOptionPane.ERROR_MESSAGE);
        }
        ecfa.create_typed_event_channel(
                idef,
                TChannelName.getText(),
                Integer.valueOf(TMaxQueue.getText()).intValue(),
                ECAdmin.OverflowAction.from_int( CBOVAction.getSelectedIndex()),
		Integer.valueOf(TNotConnected.getText()).intValue(),
		Integer.valueOf(TKeepAlive.getText()).intValue());
        BCancel_actionPerformed(null);
        BInspect_actionPerformed(null);
      }
      else {
        ecfa.create_event_channel(
                TChannelName.getText(),
                Integer.valueOf(TMaxQueue.getText()).intValue(),
                ECAdmin.OverflowAction.from_int( CBOVAction.getSelectedIndex()),
		Integer.valueOf(TNotConnected.getText()).intValue(),
		Integer.valueOf(TKeepAlive.getText()).intValue());
        BCancel_actionPerformed(null);
        BInspect_actionPerformed(null);
      }
    }
    catch (Exception ex) {
      JOptionPane.showMessageDialog(this,"Error creating the event channel "+ex,
                                    "Error", JOptionPane.ERROR_MESSAGE);
    }
  }

  void BDestroy_actionPerformed(ActionEvent e) {
   java.lang.Object sel= ListUntyped.getSelectedValue();
   if (sel != null ) {
     ECAdmin.ChannelDescription cdesc= (ECAdmin.ChannelDescription) sel;
     if (JOptionPane.showConfirmDialog(this,
                                       "Destroy event channel "+cdesc.name+" ?")!=
       JOptionPane.YES_OPTION) return;
     ecfa.find_event_channel( cdesc.name).destroy();
     BInspect_actionPerformed(null);
   }
   else if ((sel= ListTyped.getSelectedValue()) != null) {
     ECAdmin.TypedChannelDescription tcdesc= (ECAdmin.TypedChannelDescription) sel;
     if (JOptionPane.showConfirmDialog(this,"Destroy typed event channel "+tcdesc.name+" ?")!=
         JOptionPane.YES_OPTION) return;
     ecfa.find_typed_event_channel( tcdesc.name).destroy();
     BInspect_actionPerformed(null);
   }
  }

}

class ShowList implements ListCellRenderer {
  private JLabel theLabel;

  public ShowList() {
    theLabel= new JLabel();
    theLabel.setOpaque(true);
  }

  public Component getListCellRendererComponent( JList list,
                                                 java.lang.Object value,
                                                 int index,
                                                 boolean isSelected,
                                                 boolean cellHasFocus) {
    theLabel.setFont( list.getFont());
    if (isSelected) {
      theLabel.setBackground( list.getSelectionBackground());
      theLabel.setForeground( list.getSelectionForeground());
    }
    else {
      theLabel.setBackground( list.getBackground());
      theLabel.setForeground( list.getForeground());
    }
    if (value instanceof ECAdmin.ChannelDescription) {
      theLabel.setText( ((ECAdmin.ChannelDescription) value).name);
    }
    else if (value instanceof ECAdmin.TypedChannelDescription) {
      theLabel.setText( ((ECAdmin.TypedChannelDescription) value).name);
    }
    else theLabel.setText( value.toString());
    return theLabel;
  }
}

