// $Id$
//
// $Source$
//
// $Log$
//

#include "nslib.hh"

CosNaming::Name create_name( const char *_str) {

  char *str= strdup(_str);
  try {
    int len= 0;
    CosNaming::Name ret(0);
    ret.length(0);

    char *beg= str;
    char c= '-';

    while (c) {
      while (*str && *str!='.' && *str!='-')
	str++;
      c= *str;
      *str= '\0';
      if (beg==str && !c) break;
      ret.length(++len);
      ret[len-1].id= (const char *) beg;
      ret[len-1].kind= (const char *) beg;
      beg= ++str;
      if (c=='-') {
	while (*str && *str!='.' && *str!='-')
	  str++;
	c= *str;
	*str= '\0';
	ret[len-1].kind= (const char *) beg;
	if (c=='\0') break;
	beg= ++str;
      }
    }
  }
  catch (...) {
    free(str);
    throw;
  }
}
























